Index: /data/media/gui/layouts/MainMenu.layout
===================================================================
--- /data/media/gui/layouts/MainMenu.layout	(revision 5526)
+++ /data/media/gui/layouts/MainMenu.layout	(revision 5527)
@@ -12,4 +12,7 @@
             <Property Name="Text" Value="Standalone"/>
             <Event Name="Clicked" Function="button_standalone_clicked"/>
+        </Window>
+        
+        <Window Type="TaharezLook/Listbox" Name="orxonox/LevelListbox">
         </Window>
         
Index: /data/media/gui/layouts/MainMenu_2.layout
===================================================================
--- /data/media/gui/layouts/MainMenu_2.layout	(revision 5526)
+++ /data/media/gui/layouts/MainMenu_2.layout	(revision 5527)
@@ -11,5 +11,14 @@
             <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
             <Property Name="Text" Value="Standalone"/>
+            <Property Name="Disabled" Value="true"/>
             <Event Name="Clicked" Function="mainmenu_2.button_standalone_clicked"/>
+        </Window>
+        
+        <Window Type="TaharezLook/Listbox" Name="orxonox/LevelListbox">
+            <Property Name="UnifiedPosition" Value="{{0.4,0},{0.3,0}}"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedSize" Value="{{0.35,0},{0.33,0}}" />
+            <Property Name="Tooltip" Value="Available Levels." />
+            <Event Name="ItemSelectionChanged" Function="mainmenu_2.listbox_level_selectionchanged" />
         </Window>
         
Index: /data/media/gui/scripts/gui.lua
===================================================================
--- /data/media/gui/scripts/gui.lua	(revision 5526)
+++ /data/media/gui/scripts/gui.lua	(revision 5527)
@@ -15,5 +15,5 @@
     setmetatable(newElement, self) -- connects new element with class
     self.__index = self
-    P:init()
+    self:init()
     return newElement
 end
Index: /data/media/gui/scripts/loadGUI_3.lua
===================================================================
--- /data/media/gui/scripts/loadGUI_3.lua	(revision 5526)
+++ /data/media/gui/scripts/loadGUI_3.lua	(revision 5527)
@@ -11,4 +11,5 @@
 system:setDefaultMouseCursor("TaharezLook", "MouseArrow")
 system:setDefaultFont("BlueHighway-12")
+system:setDefaultTooltip("TaharezLook/Tooltip")
 
 loadedGUIs = {}
Index: /data/media/gui/scripts/mainmenu_2.lua
===================================================================
--- /data/media/gui/scripts/mainmenu_2.lua	(revision 5526)
+++ /data/media/gui/scripts/mainmenu_2.lua	(revision 5527)
@@ -9,10 +9,11 @@
 
 function P:init()
-    --win = winMgr:getWindow("orxonox/LevelListBox")
-    --print(win.getItemCount())
-    --item = winMgr:createWindow("TaharezLook/ListboxItem", "orxonox/LevelListBoxItem1")
-    --item:setText("HiHo")
-    --win:addItem(item)
-    --print(win:getItemCount())
+    listbox = winMgr:getWindow("orxonox/LevelListbox")
+    orxonox.GUIManager:getInstance():getLevelList()
+    for k,v in pairs(levellist) do
+        item = CEGUI.createListboxTextItem(v)
+        item:setSelectionBrushImage("TaharezLook", "MultiListSelectionBrush")
+        CEGUI.toListbox(listbox):addItem(item)
+    end
 end
 
@@ -20,11 +21,15 @@
 -- events for mainmenu
 function P.button_quit_clicked(e)
-  hideGUI()
-  orxonox.CommandExecutor:execute("exit")
+    hideGUI()
+    orxonox.CommandExecutor:execute("exit")
 end
 
 function P.button_standalone_clicked(e)
-  orxonox.CommandExecutor:execute("startGame")
-  toggleGUI()
+    choice = winMgr:getWindow("orxonox/LevelListbox"):getFirstSelectedItem()
+    if choice then
+        orxonox.CommandExecutor:execute("setLevel " .. choice:getText() .. ".oxw")
+        orxonox.CommandExecutor:execute("startGame")
+        toggleGUI()
+    end
 end
 
@@ -44,4 +49,12 @@
 end
 
+function P.listbox_level_selectionchanged(e)
+    if winMgr:getWindow("orxonox/LevelListbox"):getFirstSelectedItem() then
+        winMgr:getWindow("orxonox/StandaloneButton"):enable()
+    else
+        winMgr:getWindow("orxonox/StandaloneButton"):disable()
+    end
+end
+
 return mainmenu_2
 
